14 Replies Latest reply on Jun 26, 2007 4:25 AM by Tom Fennelly

    Is there any way to run webservice_jbossws_adapter_01?

    Roman Kuzmik Newbie

      Is there any way to run webservice_jbossws_adapter_01?
      I've tried all possible combinations :-(
      SVN trunk version build upon AS 4.2 looks much better then .zip provided for download, but I still cannot run org.jboss.soa.esb.actions.soap.JBossWSAdapter based quickstart example.
      As i see JBossWSAdapter depends on jbossws-spi.jar. While jbossws-spi.jar is a part of jbossws-2.0.0.GA and latest jbossesb-server-4.2MR2 is based on jbossws-1.2.1.GA, so, how to make them work toghether?

        • 1. Re: Is there any way to run webservice_jbossws_adapter_01?
          Kevin Conner Master

          Tom F has recently updated jbossws support. I'll check these out and report back.

          • 2. Re: Is there any way to run webservice_jbossws_adapter_01?
            Roman Kuzmik Newbie

            AS 4.2.0.GA + latest jbossesb/trunk + jbossws-native-2.1.0.DEV (build=200706201037) + two source code patches:

            1. jbossws-spi.jar to WebServiceContextJSE.java
            2. jbossws-core.jar to JAXBContextCache.java

            With all these stuff I am able to run 'webservice_jbossws_adapter_01' quickstarts example(2 days digging in JBossAS,ESB,WS source code, really quickstart :-) isn't it? )

            ---

            Still waiting for a working solution from JBoss ESB team for JBossWSAdapter. Please keep posted when it will be in working condition.

            • 3. Re: Is there any way to run webservice_jbossws_adapter_01?
              Mark Little Master

               

              "romankuzmik" wrote:
              With all these stuff I am able to run 'webservice_jbossws_adapter_01' quickstarts example(2 days digging in JBossAS,ESB,WS source code, really quickstart :-) isn't it? )


              Want to join the community and lend a hand?


              Please keep posted when it will be in working condition.


              That may have to wait until TomF is back, but we'll post.

              • 4. Re: Is there any way to run webservice_jbossws_adapter_01?
                Ciro Cavani Novice

                Hi,

                I start trying JBoss ESB today and spend some time doing things work. This quickstart works "almost out-of-box" to me.

                This is my steps with Eclipse (with Subversive):

                1. checkout "product" from SVN
                2. export EULA and Contributors from repo root dir inside project dir
                3. change build.xml to use this files (removing "../")
                4. remove "../product/" from all build.properties inside subdirs of "services" dir
                5. create a deployment,properties in "install" dir with my jboss as (4.2.0.GA)
                6. change deployment-classpath in line 154 of samples/quickstarts/conf/base-build.xml to include jars from soap.esb too
                7. ajust classpath (look below)
                8. "deploy" and "dist" from "/build.xml" ("dist" is needed for build jars used in classpath of quickstarts)
                9. then, follow instruction from here:

                samples/quickstarts/webservice_jbossws_adapter_01/readme.txt

                "deploy" and "runtest" work correctly...

                tips:

                1. there is missing jar for project classpath: 2 from JBossWS (checkout from "workspace/jbossws2_0_0") and 1 that can be taken from services/soap/lib/ext/wstx-lgpl-3.2.1.jar and copied to "lib/ext"

                2. target deploy from "/build.xml" only deploy jbossesb.sar, then it is necessary copy jbossesb.esb and soap.esb

                3. I try with Java 6 and it almost work, but jax-ws from Sun throwns Exception (UnsupportedOpetation) and from JBoss don't.


                I hope this is not confusing and that i don't have forgot anything.

                Thanks,

                • 5. Re: Is there any way to run webservice_jbossws_adapter_01?
                  Ciro Cavani Novice

                  Kevin change base-build.xml on SVN so 6 is not need anymore.

                  I forgot to tell that I try test with jbossesb-server and JBossWS complains about lack of EJB container dependence, so this is just for JBoss AS 4.2.0.GA.

                  Thanks,

                  • 6. Re: Is there any way to run webservice_jbossws_adapter_01?
                    Kevin Conner Master

                    Okay, you should be able to run this quickstart on AS 4.2.0 if you follow these instructions.

                    Install updated jbossws
                    Tom has used a version of jbossws which is not yet released. You can obtain a copy of this version from our subversion repository at http://anonsvn.labs.jboss.com/labs/jbossesb/workspace/jbossws2_0_0.

                    You can install this into your app server by executing ant in the top level directory.

                    Install jbossesb
                    - Obtain the latest version from the subversion repository
                    - Change directory into product
                    - execute ant dist
                    - Change directory into product/install
                    - edit deployment.properties to point to your app server installation
                    - execute ant deploy

                    Executing quickstart
                    - Change into directory product/samples/quickstarts/webservice_jbossws_adapter_01
                    - execute ant deploy
                    - execute ant runtest

                    If you find that something else is required then please double check and let me know.

                    Kev

                    P.S. Java 6 is not supported for AS 4.2.0 nor ESB

                    • 7. Re: Is there any way to run webservice_jbossws_adapter_01?
                      Kevin Conner Master

                       

                      "romankuzmik" wrote:
                      2 days digging in JBossAS,ESB,WS source code, really quickstart :-) isn't it?

                      Sorry you have had this experience. We are trying to keep the quickstarts working but sometimes they become out of step with the development.

                      "romankuzmik" wrote:
                      Still waiting for a working solution from JBoss ESB team for JBossWSAdapter. Please keep posted when it will be in working condition.

                      You should be able to run the quickstart if you follow the instructions just posted.

                      Apologies once again.

                      Kev

                      • 8. Re: Is there any way to run webservice_jbossws_adapter_01?
                        Tom Fennelly Master

                        Sorry if people had trouble getting this quickstart to run.

                        However, I think if you follow the instructions supplied in the readme in the quickstart (here), you should be able to get this working without too much trouble. If there is something that's unclear in those instructions, please let us know and we'll try get them sorted.

                        I'll be updating and improving the docs on all this stuff once I return to work on Monday :-)

                        • 9. Re: Is there any way to run webservice_jbossws_adapter_01?
                          Kevin Conner Master

                           

                          "tfennelly" wrote:
                          However, I think if you follow the instructions supplied in the readme in the quickstart


                          Tom, the missing piece of the puzzle is the new version of webservices. I have pointed people to the version in your workspace for now.

                          The instructions posted earlier in this thread should be sufficient.

                          • 10. Re: Is there any way to run webservice_jbossws_adapter_01?
                            Tom Fennelly Master

                             

                            "Kevin.Conner@jboss.com" wrote:
                            Tom, the missing piece of the puzzle is the new version of webservices. I have pointed people to the version in your workspace for now.


                            Number 5 in the list of tasks to be executed before running covers this:

                            "5. Checkout everything from the following Subversion address and run the Ant script contained therein: http://anonsvn.labs.jboss.com/labs/jbossesb/workspace/jbossws2_0_0/"

                            So perhaps it's the fact that there's no spiel on JBossWS 2.0.0??? I dunno??

                            • 11. Re: Is there any way to run webservice_jbossws_adapter_01?
                              Kevin Conner Master

                               

                              "tfennelly" wrote:
                              So perhaps it's the fact that there's no spiel on JBossWS 2.0.0??? I dunno??


                              You may be right, I missed that one as well :)

                              Sorry about that :)

                              • 12. Re: Is there any way to run webservice_jbossws_adapter_01?
                                Ciro Cavani Novice

                                The latest build (Hudson #23) of coming soon 2.0 release (1st July) is not yet compatible with current JBossWSAdapter. I was wondering if this will be fixed before upcoming JBossWS 2.0 release?

                                13:45:46,610 ERROR [STDERR] java.lang.NoSuchMethodError: org.jboss.ws.core.jaxws.JAXBContextCache.setJaxbContextProperties(Ljava/util/Map;)V
                                13:45:46,611 ERROR [STDERR] at org.jboss.soa.esb.actions.soap.JBossWSAdapter.process(JBossWSAdapter.java:136)
                                13:45:46,611 ERROR [STDERR] at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.process(ActionProcessingPipeline.java:253)
                                13:45:46,611 ERROR [STDERR] at org.jboss.soa.esb.listeners.message.MessageAwareListener$1.run(MessageAwareListener.java:297)
                                13:45:46,611 ERROR [STDERR] at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:650)
                                13:45:46,611 ERROR [STDERR] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:675)
                                13:45:46,611 ERROR [STDERR] at java.lang.Thread.run(Thread.java:595)
                                


                                I read this, but is very soft:

                                http://jira.jboss.org/jira/browse/JBWS-1652

                                I will keep using Workspace version for test, but for production, maintained version would be better.

                                Thanks,

                                • 13. Re: Is there any way to run webservice_jbossws_adapter_01?
                                  Mark Little Master

                                  When JBossESB 4.2 goes GA it will be using JBossWS 2.0.0 GA.

                                  • 14. Re: Is there any way to run webservice_jbossws_adapter_01?
                                    Tom Fennelly Master

                                     

                                    "cavani" wrote:
                                    The latest build (Hudson #23) of coming soon 2.0 release (1st July) is not yet compatible with current JBossWSAdapter. I was wondering if this will be fixed before upcoming JBossWS 2.0 release?


                                    It's dependent on a modified version of the 2.0.0 codebase and I haven't got those mods into the 2.0.0 codebase yet - waiting on agreement from Thomas D and Co.

                                    You can checkout the binaries for the modified version from http://anonsvn.labs.jboss.com/labs/jbossesb/workspace/jbossws2_0_0/. After checking out, run the ant script located in the root of the checkout.